package org.jvnet.substance.swingx;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.plaf.ComponentUI;

import org.jdesktop.swingx.plaf.basic.BasicDatePickerUI;
import org.jvnet.substance.SubstanceLookAndFeel;
import org.jvnet.substance.utils.SubstanceConstants.Side;

public class SubstanceDatePickerUI extends BasicDatePickerUI {
	public static ComponentUI createUI(JComponent c) {
		return new SubstanceDatePickerUI();
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesktop.swingx.plaf.basic.BasicDatePickerUI#createPopupButton()
	 */
	@Override
	protected JButton createPopupButton() {
		JButton result = super.createPopupButton();
		result.setFocusPainted(false);
		result.putClientProperty(SubstanceLookAndFeel.BUTTON_SIDE_PROPERTY,
				Side.LEFT);
		result.putClientProperty(
				SubstanceLookAndFeel.BUTTON_OPEN_SIDE_PROPERTY, Side.LEFT);
		return result;
	}
}
